Bug 111375 - new RH 9 2.4.20-24.9 kernel hangs after X desktop comes up
new RH 9 2.4.20-24.9 kernel hangs after X desktop comes up
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-12-02 13:59 EST by James D. Howard
Modified: 2015-01-04 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James D. Howard 2003-12-02 13:59:22 EST
Description of problem:
IBM Thinkpad T23 running RH 9, with kernel 2.4.20-20* (prev. up2date 
run).  Used up2date to retrieve and install 2.4.20-24.9.  System hans 
upon login and 1st terminal window or 2nd.  
Version-Release number of selected component (if applicable):

How reproducible:
Installation of 2.4.20-24.9 OK - no messages.  Re-booted to 2.4.20-
24.9; OK (text mode).  Logged in as non-root user (console/text 
login).  "startx", then system hung within a minute as using gnome-
term.  Rebooted, repeatable.  Rebooted with down-rev kernel - 2.4.20-
20*; system works reliably, normally.

Steps to Reproduce:
1. Used up2date to retrieve and install kernel 2.4.20-24.9
2. Rebooted
3. Normal login, then "startx"
4. Begin work with gnome-term and/or xterm
5. System hangs within a few seconds
Actual results:
System hang (no keyboard/mouse response, no net activity/presence, 

Expected results:
Normal operation

Additional info:
Comment 1 Dave Jones 2004-01-04 23:24:02 EST
How does 2.4.20-27 fare ?
Comment 2 James D. Howard 2004-01-12 17:39:34 EST
I tried 2.4.20-27 and the result was a longer time until a hang, but 
it always hung eventually.  I picked up 2.4.20-28 over the weekend, 
and am trying it: it seems to be a fix (no hangs after hours of 
use).  I did a "bad" thing, though: I changed both the OS kernel and 
the IBM ThinkPad BIOS rev at the same time.  Thus, I cannot tell 
which item acutally achieved the needed fix.

The IBM ThinkPad T23 (model 2647-4MU) BIOS in use WAS ver. 1.15, is 
NOW ver. 1.17.
Comment 3 Bugzilla owner 2004-09-30 11:41:44 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.